# $Revision: 1.5 $, $Date: 2006/10/17 09:30:33 $
Summary:	EventLog library - a replacement of the simple syslog() API
Summary(pl):	Biblioteka EventLog - zamiennik prostego API syslog()
Name:		eventlog
Version:	0.2.5
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://www.balabit.com/downloads/syslog-ng/2.0/src/%{name}-%{version}.tar.gz
# Source0-md5:	a6bdba91f88540cc69b398fd138d86cd
URL:		http://www.balabit.com/products/syslog_ng/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The EventLog library aims to be a replacement of the simple syslog()
API provided on UNIX systems. The major difference between EventLog
and syslog is that EventLog tries to add structure to messages.

Where you had a simple non-structrured string in syslog() you have a
combination of description and tag/value pairs.

EventLog provides an interface to build, format and output an event
record. The exact format and output method can be customized by the
administrator via a configuration file.

%description -l pl
Celem biblioteki EventLog jest zastpienie prostego API syslog()
dostpnego w systemach uniksowych. Gwn rnic midzy EventLogiem a
syslogiem jest to, e EventLog prbuje doda do komunikatw struktur.

Tam, gdzie w API syslog() by prosty acuch bez struktury, mamy
poczenie opisu i par znacznik/warto.

EvengLog udostpnia interfejs do tworzenia, formatowania i
wyprowadzania rekordu zdarzenia. Dokadny format i metoda wyjciowa
moe by dostosowana przez administratora poprzez plik konfiguracyjny.

%package devel
Summary:	Header files for eventlog
Summary(pl):	Pliki nagwkowe biblioteki eventlog
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for eventlog.

%description devel -l pl
Pliki nagwkowe biblioteki eventlog.

%package static
Summary:	Static eventlog library
Summary(pl):	Biblioteka statyczna eventlog
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static eventlog library.

%description static -l pl
Biblioteka statyczna eventlog.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/configuration.txt AUTHORS COPYING CREDITS NEWS PORTS README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/{API,DESIGN}.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_includedir}/eventlog
%{_includedir}/eventlog/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eventlog.spec,v $
Revision 1.5  2006/10/17 09:30:33  jajcus
- Version: 0.2.5

Revision 1.4  2006/03/02 20:21:55  qboosh
- pl, unified

Revision 1.3  2006/02/28 14:03:05  baggins
- release 1
- pre/post

Revision 1.2  2006/02/27 21:51:20  paszczus
- aaa ? WTF? commented.

Revision 1.1  2006/02/27 21:30:05  baggins
- initial revision
